<!DOCTYPE html>
<html>
<head>
	<title>Halftone</title>
</head>
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet">
<style type="text/css">
	body{
		height: 100vh;
		width: 100vw;
		margin: 0;
		display: flex;
	}
	.red{
		height: 100%;
		width: 40%;
		background: red;
		opacity: .8;
	}
	.black{
		height: 100%;
		width: 60%;
		background: black;
		opacity: .8;
	}
	.main{
		position: fixed;
		z-index: 9;
		height:80px;
		width: 80px;
		border-radius: 50%;
		background: white;
		color: black;
		opacity: 1;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	.main>i{
		font-size: 4rem;
		font-weight: bolder;
		transition:.6s;
	}
	.main:hover>i{
		transform: rotate(45deg);
	}
	.menu-bar{
		height: 75%;
		display: flex;
		justify-content: center;
		align-items: center;
		position: absolute;
		margin-top: 10vh;
		margin-left: 37vw;
	}
	.menu-items{
			display: block;
			justify-content: center;
			align-items: center;
			position: absolute;
			
		}
.item{
		height: 0;
		}
.main:hover>.menu-items{
	display: block;
	height: 100%;
	justify-content: space-between;
	align-items: center;
	position: relative;
}
</style>
<body>
	<div class="red"></div>
	<div class="black"></div>
	<div class="menu-bar">
			<div class="main"><i class="material-icons">add</i></div>
			<div class="menu-items">
				<div class="item"><i class="material-icons">home</i></div>
				<div class="item"><i class="material-icons">book</i></div>
				<div class="item"><i class="material-icons">folder</i></div>
				<div class="item"><i class="material-icons">check</i></div>
				<div class="item"><i class="material-icons">message</i></div>
				<div class="item"><i class="material-icons">email</i></div>
			</div>
	</div>

</body>
</html>